Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Page\Parts\Item Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Page\Parts\Item:

## Public Member Functions
| getState ()
| Returns available properties with their values as a simple hash. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
| $attributes = []

## Protected Attributes
| $contentId
| $locationId
| $priority
| $publicationDate
| $visibilityDate
| $hiddenDate
| $rotationUntilDate
| $movedTo
| $action
| $blockId

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 23 of file Item.php.

## Member Function Documentation

## ◆ getState()

eZ\Publish\Core\FieldType\Page\Parts\Item::getState | ( |  | ) |

Returns available properties with their values as a simple hash.

Returns
  array

Definition at line 71 of file Item.php.

References eZ\Publish\API\Repository\Values\ValueObject\getProperties().

Referenced by eZ\Publish\Core\FieldType\Page\HashConverter\convertItemToHash().

## Member Data Documentation

## ◆ $action

eZ\Publish\Core\FieldType\Page\Parts\Item::$action
| protected

Definition at line 54 of file Item.php.

## ◆ $attributes

eZ\Publish\Core\FieldType\Page\Parts\Item::$attributes = []

Definition at line 64 of file Item.php.

## ◆ $blockId

eZ\Publish\Core\FieldType\Page\Parts\Item::$blockId
| protected

Definition at line 57 of file Item.php.

## ◆ $contentId

eZ\Publish\Core\FieldType\Page\Parts\Item::$contentId
| protected

Definition at line 26 of file Item.php.

## ◆ $hiddenDate

eZ\Publish\Core\FieldType\Page\Parts\Item::$hiddenDate
| protected

Definition at line 41 of file Item.php.

## ◆ $locationId

eZ\Publish\Core\FieldType\Page\Parts\Item::$locationId
| protected

Definition at line 29 of file Item.php.

## ◆ $movedTo

eZ\Publish\Core\FieldType\Page\Parts\Item::$movedTo
| protected

Definition at line 47 of file Item.php.

## ◆ $priority

eZ\Publish\Core\FieldType\Page\Parts\Item::$priority
| protected

Definition at line 32 of file Item.php.

## ◆ $publicationDate

eZ\Publish\Core\FieldType\Page\Parts\Item::$publicationDate
| protected

Definition at line 35 of file Item.php.

## ◆ $rotationUntilDate

eZ\Publish\Core\FieldType\Page\Parts\Item::$rotationUntilDate
| protected

Definition at line 44 of file Item.php.

## ◆ $visibilityDate

eZ\Publish\Core\FieldType\Page\Parts\Item::$visibilityDate
| protected

Definition at line 38 of file Item.php.

The documentation for this class was generated from the following file:

- Item.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.